<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
This is a collection of Frequently Asked Questions.
<p>The sections of this document are:<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr><td width="5%"></td><td colspan=3>
<a href="#1">1 General FAQ</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#1.1">1.1 Where can I get the latest version of this FAQ ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#1.2">1.2 What is MAME ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#1.3">1.3 How is AdvanceMAME different from MAME ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#1.4">1.4 I have a question that is not answered in this FAQ. Where can I get help ?</a><br>
</td></tr>
<tr><td width="5%"></td><td colspan=3>
<a href="#2">2 AdvanceMAME FAQ</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#2.1">2.1 What MAME version AdvanceMAME is based on ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#2.2">2.2 How do I automatically record video and audio clips ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#2.3">2.3 When I start a game with AdvanceMAME I see a copyright message before the game starts. How do I get rid of it ?</a><br>
</td></tr>
<tr><td width="5%"></td><td colspan=3>
<a href="#3">3 AdvanceMENU FAQ</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#3.1">3.1 Each time I start AdvanceMENU, I see a message about</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#3.2">3.2 Can I use AdvanceMENU to list my MP3 and MNG collection ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#3.3">3.3 How do I avoid AdvanceMENU jumping to different games when I press letter keys ?</a><br>
</td></tr>
<tr><td width="5%"></td><td colspan=3>
<a href="#4">4 DOS FAQ</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#4.1">4.1 How can I solve the compiler error "Argument list too long (E2BIG)" and "Error -1" ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#4.2">4.2 What's the best configuration in PURE DOS ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#4.3">4.3 Why can I use only 32M of RAM ? I have more RAM.</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#4.4">4.4 Why can I use only 64M of RAM ? I have more RAM.</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#4.5">4.5 Which is the minimum memory requirement ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#4.6">4.6 Which is the maximum memory required ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#4.7">4.7 How can I use two mice (or a trackball and a spinner) ?</a><br>
</td></tr>
<tr><td width="5%"></td><td colspan=3>
<a href="#5">5 Linux FAQ</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#5.1">5.1 Can I run the Advance programs from a readonly filesystem ?</a><br>
</td></tr>
<tr><td width="5%"></td><td colspan=3>
<a href="#6">6 Windows FAQ</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#6.1">6.1 How do I disable the Windows hotkeys ?</a><br>
</td></tr>
<tr><td width="5%"></td><td colspan=3>
<a href="#7">7 Video FAQ</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#7.1">7.1 How can I enable the TV-OUT signal (S-VIDEO) of the video board ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#7.2">7.2 Can I connect my Arcade Monitor to the video board and use it with AdvanceMENU and AdvanceMAME ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#7.3">7.3 How can I connect my Arcade Monitor to the video board ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#7.4">7.4 How can I avoid damaging my arcade monitor due to the signals sent out during system startup (before AdvanceMENU and AdvanceMAME starts) ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#7.5">7.5 What is the "tearing" effect ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#7.6">7.6 How can I remove the tearing effect ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#7.7">7.7 How can I reduce the tearing effect ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#7.8">7.8 Does the "double/tripler buffer" help to reduce the tearing effect ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#7.9">7.9 Can I get a good animation with a video mode with arbitrary frequency ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#7.10">7.10 Why are the smaller video modes like 256x224 not working ?</a><br>
</td></tr>
<tr><td width="5%"></td><td colspan=3>
<a href="#8">8 License FAQ</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#8.1">8.1 Is MAME 0.106 Open Source/Free Software ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#8.2">8.2 How can be MAME 0.106 not Open Source/Free Software when the latest MAME is released with the GPL 2 License ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#8.3">8.3 Is AdvanceMAME Open Source and Free Software ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#8.4">8.4 Which is the license of the AdvanceMAME source ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#8.5">8.5 Why the AdvanceMAME license is called GPL if it's different than the GPL ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#8.6">8.6 Does the MAME 0.106 license allow linking the MAME 0.106 source with a GPL source ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#8.7">8.7 Does the GPL license allow to link a GPL source with a MAME 0.106 source ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#8.8">8.8 Does the GPL license + exception allow linking a GPL + exception source with a MAME 0.106 source ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#8.9">8.9 The license exception say "MAME library". Is MAME a library or a program ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#8.10">8.10 The GPL FAQ say: "Combining two modules means connecting them together so that they form a single larger program. If either part is covered by the GPL, the whole combination must also be released under the GPL--if you can't, or won't, do that, you may not combine them.". Is it true ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#8.11">8.11 What license is the AdvanceMAME binary under ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#8.12">8.12 Can I sell the AdvanceMAME binary ?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#8.13">8.13 Who is the copyright holder of AdvanceMAME ?</a><br>
</td></tr>
<tr><td width="5%"></td><td colspan=3>
<a href="#9">9 GPL FAQ</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#9.1">9.1 I am writing free software that uses non-free libraries. What legal issues come up if I use the GPL?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#9.2">9.2 Is the developer of a GPL-covered program bound by the GPL? Could the developer's actions ever be a violation of the GPL?</a><br>
</td></tr>
<tr><td width="5%"></td><td width="5%"></td><td colspan=2>
<a href="#9.3">9.3 I want to distribute binaries, but distributing complete source is inconvenient. Is it ok if I give users the diffs from the "standard" version along with the binaries?</a><br>
</td></tr>
<tr><td width="5%"></td><td colspan=3>
<a href="#10">10 Copyright</a><br>
</td></tr>
</table>
<h2><a name="1">1</a> 
General FAQ
</h2>
<h3><a name="1.1">1.1</a> 
Where can I get the latest version of this FAQ ?
</h3>
The latest version of the FAQ is included with the latest version
of AdvanceMAME, available for download from the project homepage
<a href="http://www.advancemame.it/">http://www.advancemame.it/</a>.
<p>
The latest version of the FAQ is also available online at
<a href="http://www.advancemame.it/doc-faq.html">http://www.advancemame.it/doc-faq.html</a>.
<h3><a name="1.2">1.2</a> 
What is MAME ?
</h3>
MAME means Multiple Arcade Machine Emulator and is a huge effort
to create an emulator capable of running a lot of old arcade
games. The MAME homepage is at <a href="http://www.mame.net/">http://www.mame.net/</a>.
<h3><a name="1.3">1.3</a> 
How is AdvanceMAME different from MAME ?
</h3>
AdvanceMAME is a port of MAME, written mainly by Andrea Mazzoleni,
with contributions from various other people. The video support in
AdvanceMAME is made especially to be able to program the video
hardware (graphics adapter) to achieve a more faithful video
emulation, also allowing the use with arcade monitors and TVs.
<p>
It also contains software filters to improve the image when used
on monitors with a higher resolution, such as PC monitors and
LCD screens
<h3><a name="1.4">1.4</a> 
I have a question that is not answered in this FAQ. Where can I get help ?
</h3>
If you have looked through the documentation and still haven't
found an answer to your question, you could try posting it to the
AdvanceMAME mailing list. Before you post, however, you should
check the mailing list archives to make sure your question has not
already been answered there. Subscription to the mailing list and
archives can be found at
<a href="http://lists.sourceforge.net/lists/listinfo/advancemame-users">http://lists.sourceforge.net/lists/listinfo/advancemame-users</a>.
<h2><a name="2">2</a> 
AdvanceMAME FAQ
</h2>
<h3><a name="2.1">2.1</a> 
What MAME version AdvanceMAME is based on ?
</h3>
AdvanceMAME is based on the MAME 0.106 source code.
<h3><a name="2.2">2.2</a> 
How do I automatically record video and audio clips ?
</h3>
Add this script to your advmame.rc. For any game started a 15 seconds
clip is recorded.
<p>
<pre>
script_emulation delay(5000); \
&nbsp;&nbsp;&nbsp;&nbsp;simulate_event(ui_snapshot, 50); \
&nbsp;&nbsp;&nbsp;&nbsp;simulate_event(ui_record_start, 50); \
&nbsp;&nbsp;&nbsp;&nbsp;delay(15100); \
&nbsp;&nbsp;&nbsp;&nbsp;simulate_event(ui_record_stop, 50); \
&nbsp;&nbsp;&nbsp;&nbsp;delay(100); \
&nbsp;&nbsp;&nbsp;&nbsp;simulate_event(ui_cancel, 50);
</pre>
<h3><a name="2.3">2.3</a> 
When I start a game with AdvanceMAME I see a copyright message before the
game starts. How do I get rid of it ?
</h3>
Take a look at the `misc_quiet' option.
<h2><a name="3">3</a> 
AdvanceMENU FAQ
</h2>
<h3><a name="3.1">3.1</a> 
Each time I start AdvanceMENU, I see a message about
"Updating the ... information file ..." How do I get rid of it ?
</h3>
The information file is recreated if the emulator executable
is newer than the named file. If this happens all the time, you probably
have a wrong time setting on your system.
<h3><a name="3.2">3.2</a> 
Can I use AdvanceMENU to list my MP3 and MNG collection ?
</h3>
Yes. You can create a fake emulator to play all your music
and video clips. Add the following options in your
advmenu.rc :
<p>
<pre>
emulator "mng" generic ""
emulator_altss "mng" "C:\CLIP"
emulator_roms "mng" "C:\CLIP"
emulator_roms_filter "mng" "*.mng"
</pre>
<p>
<pre>
emulator "mp3" generic ""
emulator_altss "mp3" "C:\MP3;C:\MUSIC"
emulator_roms "mp3" "C:\MP3;C:\MUSIC"
emulator_roms_filter "mp3" "*.mp3"
</pre>
<h3><a name="3.3">3.3</a> 
How do I avoid AdvanceMENU jumping to different games when I press
letter keys ?
</h3>
Use `event_alpha no' in the AdvanceMENU configuration file. This
is most often used if you have a control panel wired to a keyboard
hack or keyboard controller.
<h2><a name="4">4</a> 
DOS FAQ
</h2>
<h3><a name="4.1">4.1</a> 
How can I solve the compiler error "Argument list too long (E2BIG)"
and "Error -1" ?
</h3>
If compiling you get the "Argument list too long" error,
or "Error -1" you need to use the DJGPP stubedit utility
to increase bufsize value for some DJGPP tools, with the
following commands:
<p>
<pre>
stubedit c:\djgpp\bin\gcc.exe bufsize=32k
stubedit c:\djgpp\bin\ld.exe bufsize=32k
stubedit c:\djgpp\bin\make.exe bufsize=32k
stubedit c:\djgpp\lib\gcc-lib\djgpp\3.23\collect2.exe bufsize=32k
</pre>
<p>
You may need to use different paths to the files,
especially for collect2.exe.
<h3><a name="4.2">4.2</a> 
What's the best configuration in PURE DOS ?
</h3>
My favorite choice is to use HIMEM, EMM386 and a little
cache with SMARTDRV.
<p>
In CONFIG.SYS:
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
dos=high
device=C:\DOS\W98\HIMEM.SYS
device=C:\DOS\EMM386.EXE NOEMS NOVCPI
</pre>
</td></tr></table>
<p>
In AUTOEXEC.BAT:
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
smartdrv 1024
</pre>
</td></tr></table>
<p>
If you have a lot of RAM you can use a bigger disk cache like :
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
smartdrv 8192
</pre>
</td></tr></table>
<h3><a name="4.3">4.3</a> 
Why can I use only 32M of RAM ? I have more RAM.
</h3>
Start the EMM386.EXE device in your CONFIG.SYS with the
"NOEMS NOVCPI" arguments.
<h3><a name="4.4">4.4</a> 
Why can I use only 64M of RAM ? I have more RAM.
</h3>
Don't use the DOS 6.22 version of the HIMEM.SYS device. Use a
newer version, the Windows 98 version works good. You don't
need to upgrade your DOS, simply copy the newer HIMEM.SYS
from a Windows 98 installation.
<h3><a name="4.5">4.5</a> 
Which is the minimum memory requirement ?
</h3>
With 64 MB of memory you are able to play all the games.
At least in PURE DOS with CWSDPMI 5 and with 512 MB of virtual
memory.
<h3><a name="4.6">4.6</a> 
Which is the maximum memory required ?
</h3>
With 128 MB you should be able to play all the games without
any big speed loss. For the bigger games you may need 512
MB of virtual memory.
<h3><a name="4.7">4.7</a> 
How can I use two mice (or a trackball and a spinner) ?
</h3>
To get support for a second mouse you need the mouse driver
in the contrib/optimous directory. This directory also contains
a short text instruction file.
<h2><a name="5">5</a> 
Linux FAQ
</h2>
<h3><a name="5.1">5.1</a> 
Can I run the Advance programs from a readonly filesystem ?
</h3>
Yes. All the writable files are put in the $HOME/.advance
directory. If they are readonly, they are not updated.
<h2><a name="6">6</a> 
Windows FAQ
</h2>
<h3><a name="6.1">6.1</a> 
How do I disable the Windows hotkeys ?
</h3>
Check the Microsoft online documents "Disabling the Windows Key
on Microsoft Natural Keyboard" at <a href="http://support.microsoft.com/?kbid=181348">http://support.microsoft.com/?kbid=181348</a>.
<h2><a name="7">7</a> 
Video FAQ
</h2>
<h3><a name="7.1">7.1</a> 
How can I enable the TV-OUT signal (S-VIDEO) of the video board ?
</h3>
You cannot. If the TV-OUT signal is not enabled automatically
by your video board you cannot enable it manually.
<p>
If you have a TV with SCART input (all european TVs) you can buy
or build a VGA to SCART cable.
<h3><a name="7.2">7.2</a> 
Can I connect my Arcade Monitor to the video board and use it with AdvanceMENU and
AdvanceMAME ?
</h3>
Yes, this is one of the primary goals of the AdvanceMAME video output layer.
But remember that arcade monitors can only accept a certain range of signals
(in terms of horizontal and vertical refresh etc.), so make sure you
configure these settings correctly in AdvanceMENU and AdvanceMAME before
you connect it to your monitor.
<h3><a name="7.3">7.3</a> 
How can I connect my Arcade Monitor to the video board ?
</h3>
If you do not want to use one of the available adaptors that ensure the
signal is within specifications, to avoid damaging your monitor, you can
simply connect the monitor directly to the graphics card. If your monitor
only has one sync-line (so-called composite sync) you will need to convert
the separate sync signals of the video board to composite sync. This can be
achieved by a circuit such as
<a href="http://www.tkk.fi/Misc/Electronics/circuits/vga2rgbs_ttl.gif">http://www.tkk.fi/Misc/Electronics/circuits/vga2rgbs_ttl.gif</a>
<p>
Some video boards can be configured to generate the composite sync signal.
An example is Matrox cards under Linux. Look at the matroxfb-documentation
in the kernel sources, and maybe the matroxset-utility.
<h3><a name="7.4">7.4</a> 
How can I avoid damaging my arcade monitor due to the signals sent out during
system startup (before AdvanceMENU and AdvanceMAME starts) ?
</h3>
There exists separate hardware adaptors that can be used for this
purpose, such as the J-PAC <a href="http://www.ultimarc.com/jpac.html">http://www.ultimarc.com/jpac.html</a>
<p>
Other options include waiting until AdvanceMENU has started up, before
connecting the monitor. This can be achieved either manually, or by
hardware controlled by the parallel port (as described in various places).
<p>
If your system is running DOS, you can use the "vga" and "video" utilities
of the AdvanceCAB package to set the graphics card in an acceptable mode
while the system is booting. Note that the POST (Power On Self Test) screen
of the BIOS will still be in the "bad" video-mode, so the problem is not
solved entirely by these utilities, but they allow for a nice bootup-screen
to be displayed.
<p>
With some graphics adapters (eg. Matrox), a similar effect can be achieved
under Linux by configuring the video mode of the kernel framebuffer.
<h3><a name="7.5">7.5</a> 
What is the "tearing" effect ?
</h3>
The tearing effect is a defect of the animation caused by a wrong
synchronization with the game refresh rate and the video mode refresh
rate. It generally appears as a horizontal image split line, on the
top of this line you see the previous game frame, on the bottom of this
line you see the next game frame.
<p>
If the game and the video refresh rate are only a little different
the tearing split line is slowly moving up or down. If the refreshes are
very different the split line is moving randomly.
<p>
The tearing effect is mostly noticeable in games with a continuously
scrolling background.
<h3><a name="7.6">7.6</a> 
How can I remove the tearing effect ?
</h3>
The only way to remove the tearing effect is to enable the
`display_vsync' option. To correctly work this option need a video
mode with a refresh rate which is a multiplier of the original game
refresh rate. For example for a 50 Hz game you can use video modes
of 50, 100, 150 Hz.
<h3><a name="7.7">7.7</a> 
How can I reduce the tearing effect ?
</h3>
If for some reason you cannot use the `display_vsync' option the
only way to reduce the tearing effect is to choose a video mode
refresh rate which ensure to have a randomly and fast moving tearing
split line.
<p>
Generally they are high refresh rates, prime with the original game
frequency.
<h3><a name="7.8">7.8</a> 
Does the "double/tripler buffer" help to reduce the tearing effect ?
</h3>
No. A generic asynchronous buffer doesn't remove or reduce the
tearing effect. A synchronous buffer instead it's exactly like
the vsync. AdvanceMAME supports only the asynchronous buffers.
<h3><a name="7.9">7.9</a> 
Can I get a good animation with a video mode with arbitrary frequency ?
</h3>
There is no way to get a perfect animation without using
a video mode with the same game refresh rate. You will get the
tearing effect or a not smooth animation from some frames skipped
or displayed too long.
<p>
For example, suppose to use a 70 Hz video mode with a 60 Hz game.
You can display every frame for 1/60 of second and get the tearing
effect. Alternatively you can display every frame for 1/70 of second,
but after 7 frame you need to display a frame for 2/70 of second to
synchronize with the original game speed.
<p>
The only exception is for frequencies which are multiplier of
the original game refresh rate.
<h3><a name="7.10">7.10</a> 
Why are the smaller video modes like 256x224 not working ?
</h3>
Your video board probably isn't able to generate the very low
pixelclocks needed. You can try to increase the minimum value
of the `device_video_pclock' option. The video mode generation
will automatically generate video modes with double or triple
horizontal resolutions to force the use of a pixelclock in
the specified range.
<h2><a name="8">8</a> 
License FAQ
</h2>
<h3><a name="8.1">8.1</a> 
Is MAME 0.106 Open Source/Free Software ?
</h3>
No. The MAME 0.106 License is not an Open Source License as defined
at <a href="http://www.opensource.org/">http://www.opensource.org/</a> and not a Free Software License as defined
at <a href="http://www.gnu.org/">http://www.gnu.org/</a>.
<h3><a name="8.2">8.2</a> 
How can be MAME 0.106 not Open Source/Free Software when the latest
MAME is released with the GPL 2 License ?
</h3>
MAME 0.106 was never released with the GPL 2 License.
Most, if not all, same source code can be found released
with the GPL 2 in the latest MAME, but it's safer to
assume that MAME 0.106 is not GPL 2.
<h3><a name="8.3">8.3</a> 
Is AdvanceMAME Open Source and Free Software ?
</h3>
Yes. AdvanceMAME is released with the GPL License which is
an Open Source and a Free Software License.
<h3><a name="8.4">8.4</a> 
Which is the license of the AdvanceMAME source ?
</h3>
The AdvanceMAME project is released under the GPL license.
<p>
In addition you have some extra rights granted by a special
license exception which allow you to link the AdvanceMAME GPL
source with the MAME 0.106 source.
<p>
The exception also gives you the rights to eliminate it
if you don't like it or if you want to include the
AdvanceMAME source in another GPL program.
<p>
You can more easily think at it as a sort of double license.
A GPL or a GPL + exception.
<h3><a name="8.5">8.5</a> 
Why the AdvanceMAME license is called GPL if it's different
than the GPL ?
</h3>
The GPL license used by AdvanceMAME isn't modified in any
way.
<p>
The license exception is added outside the GPL license text.
It's added at the top of every source files for which the
exception has the validity.
<p>
How to add this sort of exceptions is specifically covered on
the Official GPL FAQ written by the same people which have
written the GPL license and which are the copyright holders
of the GPL license.
<p>
Specifically, in the Official GPL FAQ you can see that in
every source files with the license exception you must add
the following text :
<p>
"This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version."
<p>
Which explicitly claims that the program with the license
exception is still GPL.
<h3><a name="8.6">8.6</a> 
Does the MAME 0.106 license allow linking the MAME 0.106 source with
a GPL source ?
</h3>
Yes. The only requirement of the MAME 0.106 License for the
derivative works is the whole source availability.
With the GPL you have it.
<h3><a name="8.7">8.7</a> 
Does the GPL license allow to link a GPL source with a
MAME 0.106 source ?
</h3>
No. The GPL license requires that the whole program be
released with the GPL license or with a GPL compatible
license. The MAME 0.106 License isn't a GPL compatible license.
<h3><a name="8.8">8.8</a> 
Does the GPL license + exception allow linking a
GPL + exception source with a MAME 0.106 source ?
</h3>
Yes. The license exception specifically allows it.
<h3><a name="8.9">8.9</a> 
The license exception say "MAME library". Is MAME a library or
a program ?
</h3>
AdvanceMAME uses only the internal MAME 0.106 core, which is
effectively a library.
<p>
Anyway, calling a piece of software a program or a library
doesn't change its license.
<h3><a name="8.10">8.10</a> 
The GPL FAQ say: "Combining two modules means connecting
them together so that they form a single larger program. If
either part is covered by the GPL, the whole combination must
also be released under the GPL--if you can't, or won't, do
that, you may not combine them.". Is it true ?
</h3>
Yes. But the GPL FAQ speak of a generic GPL program without
any exception.
<p>
The license exception explicitly allows you to combine the
GPL program with MAME 0.106. These exceptions exist specifically
to solve this problem. Essentially, if your GPL program needs
to use another module which is not under a GPL license, you
(as copyright holder) can grant at the user the rights to link
it with the not GPL module.
<p>
The GPL was made to protect the interests of the copyright
holder. But if the copyright holder wants, he can relax the
license adding specific exceptions that extend the rights of
the users. So, the users can do things not generally
permitted by the standard GPL license.
<h3><a name="8.11">8.11</a> 
What license is the AdvanceMAME binary under ?
</h3>
The AdvanceMAME binary contains source from AdvanceMAME,
MAME, Allegro, SEAL, svgalib, zlib and FreeType2. You must
follow ALL these licenses when you use the binary.
So, you are only allowed to do things with it, if they are
permitted by ALL these licenses.
<h3><a name="8.12">8.12</a> 
Can I sell the AdvanceMAME binary ?
</h3>
No. The AdvanceMAME binary contains compiled MAME 0.106 source and
the "MAME 0.106 License" prohibits selling.
<h3><a name="8.13">8.13</a> 
Who is the copyright holder of AdvanceMAME ?
</h3>
Andrea Mazzoleni is the copyright holder of AdvanceMAME.
<p>
Some source and documentation files are also under the
copyright of Filipe Estima, Ian Patterson, Randy Schnedler,
S. Sakamaki, Mikkel Holm Olsen.
<h2><a name="9">9</a> 
GPL FAQ
</h2>
This is an extract of the Official GPL FAQ present at :
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<a href="http://www.gnu.org/licenses/gpl-faq.html">http://www.gnu.org/licenses/gpl-faq.html</a>
<br>
</td></tr></table>
<h3><a name="9.1">9.1</a> 
I am writing free software that uses non-free libraries.
What legal issues come up if I use the GPL?
</h3>
<p>
If the libraries that you link with falls within the
following exception in the GPL:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
However, as a special exception, the source code distributed need not
include anything that is normally distributed (in either source or
binary form) with the major components (compiler, kernel, and so on) of
the operating system on which the executable runs, unless that
component itself accompanies the executable.
</pre>
</td></tr></table>
<p>
then you don't have to do anything special to use them. In
other words, if the libraries you need come with major parts
of a proprietary operating system, the GPL says people can
link your program with them.
<p>
If you want your program to link against a library not
covered by that exception, you need to add your own
exception, wholly outside of the GPL. This copyright notice
and license notice give permission to link with the program
FOO:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
Copyright (C) yyyy
</pre>
</td></tr></table>
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
</pre>
</td></tr></table>
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
</pre>
</td></tr></table>
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
</pre>
</td></tr></table>
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
In addition, as a special exception, &lt;name of copyright
holder&gt; gives permission to link the code of this program with
the FOO library (or with modified versions of FOO that use the
same license as FOO), and distribute linked combinations including
the two.  You must obey the GNU General Public License in all
respects for all of the code used other than FOO.  If you modify
this file, you may extend this exception to your version of the
file, but you are not obligated to do so.  If you do not wish to
do so, delete this exception statement from your version.
</pre>
</td></tr></table>
<p>
Only the copyright holders for the program can legally
authorize this exception. If you wrote the whole program
yourself, then assuming your employer or school does not
claim the copyright, you are the copyright holder--so
you can authorize the exception. But if you want to use
parts of other GPL-covered programs by other authors in your
code, you cannot authorize the exception for them. You have
to get the approval of the copyright holders of those programs.
<p>
When other people modify the program, they do not have to
make the same exception for their code--it is their choice
whether to do so.
<p>
Adding this exception eliminates the legal issue, ...
<p>
<a href="http://www.gnu.org/licenses/gpl-faq.html#WritingFSWithNFLibs">http://www.gnu.org/licenses/gpl-faq.html#WritingFSWithNFLibs</a>
<br>
<h3><a name="9.2">9.2</a> 
Is the developer of a GPL-covered program bound by the GPL? Could the
developer's actions ever be a violation of the GPL?
</h3>
<p>
Strictly speaking, the GPL is a license from the developer for others
to use, distribute and change the program. The developer itself is
not bound by it, so no matter what the developer does, this is not a
"violation" of the GPL.
<p>
However, if the developer does something that would violate the GPL
if done by someone else, the developer will surely lose moral
standing in the community.
<p>
<a href="http://www.gnu.org/licenses/gpl-faq.html#TOCDeveloperViolate">http://www.gnu.org/licenses/gpl-faq.html#TOCDeveloperViolate</a>
<br>
<h3><a name="9.3">9.3</a> 
I want to distribute binaries, but distributing complete source is inconvenient.
Is it ok if I give users the diffs from the "standard" version along with the
binaries?
</h3>
<p>
This is a well-meaning request, but this method of providing the source
doesn't really do the job.
<p>
A user that wants the source a year from now may be unable to get the proper
version from another site at that time. The standard distribution site may have
a newer version, but the same diffs probably won't work with that version.
<p>
So you need to provide complete sources, not just diffs, with the binaries.
<p>
<a href="http://www.gnu.org/licenses/gpl-faq.html#TOCDistributingSourceIsInconvenient">http://www.gnu.org/licenses/gpl-faq.html#TOCDistributingSourceIsInconvenient</a>
<br>

</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>

